<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/TR/xhtml1/strict">

<xsl:output
   method="html"
   indent="yes"
   encoding="UTF-8"
/>





<xsl:template match="interactions/interaction/parameters/cparameter">
 	<html>
   	<head>
     	<title>
		Content Summary
     	</title>
   	</head>
   	<body>
   	
<p>
		
This text represents content that has been extracted from a crossword puzzle.  

</p>


<p>
Please command the screen reader to read each line individually. 
</p> 

<p>
The hint will be provided on one line and the solution will be provided on the next line.
</p>


<p>		
Crossword Puzzle

</p>



<xsl:for-each select="optionpage"> 

	
	<xsl:for-each select="entrydata"> 
	

	<xsl:if test="input/@optionStore='HintInput'"> 

				
                
                <xsl:if test="(string(input))">    
		
			<p>

			
			The hint is <xsl:value-of select="input" />
			<br/>
			 
			The solution is <xsl:value-of select="../entrydata[2]/input" />
			<br/>
			                                  
			
            		</p>
				 	
			
		</xsl:if>
		    	     

        </xsl:if> 

	
 
	</xsl:for-each> 

</xsl:for-each> 

This ends the crossword puzzle.  How did you do?


 </body>
 </html>

</xsl:template>
</xsl:stylesheet>

